class Citizen {
      String birthDate;
      private String passWord;
      private String[] conditions;
      private Doctor[] trusted;
      private int nrConditions;
      private int nrTrusted; 
      
      Citizen (String pwd,String date){
              passWord = pwd;
              birthDate = date;
              nrConditions = 0;
              conditions = new String[1000];
              nrTrusted = 0;
              trusted = new Doctor[1000];
      }
      public void addCondition(Doctor dr, String condition){
             if (trust(dr))
                 conditions[nrConditions++] = condition;
      }
      private boolean hasCondition(String condition){
              boolean has = false;
              for (int i=0; i< nrConditions; i++)
                   if (conditions[i].equals(condition))
                       has = true;
              return has;
      }
      public void addDoctor(String pwd, Doctor dr){
             if (pwd.equals(passWord))
                trusted[nrTrusted++] = dr;
      }
      public boolean trust(Doctor dr){
             boolean found = false;
             for (int i=0; i< nrTrusted; i++)
                  if (trusted[i] == dr)
                      found = true;
             return found;
      }
      public Test testHIV(Doctor dr){
             Test tst = new Test(trust(dr),false);
             if (tst.valid)
                 for (int i=0; i<nrConditions; i++)
                         if (conditions[i].equals("HIV"))
                             tst.result = true;
             return tst;
      }
}
